/*******************************************************************************
 * Copyright (c) 2008 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *     
 * Port to the D Programming language:
 *     Jacob Carlborg <jacob.carlborg@gmail.com>
 *******************************************************************************/
module dwt.internal.cocoa.SWTTextView;

import dwt.dwthelper.utils;
import dwt.internal.cocoa.NSTextView;
import dwt.internal.cocoa.OS;

public class DWTTextView : NSTextView {

    public this () {
        super(0);
    }

    public this (int id) {
        super(id);
    }

    public void setTag (int tag) {
        OS.objc_msgSend(id, OS.sel_setTag_1, tag);
    }
}
